package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.Address;

/**
 * 受服务地址Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-18
 */
public interface AddressMapper extends BaseMapper<Address>
{
    /**
     * 查询受服务地址
     * 
     * @param addressId 受服务地址主键
     * @return 受服务地址
     */
    public Address selectAddressByAddressId(Long addressId);

    /**
     * 查询受服务地址列表
     * 
     * @param address 受服务地址
     * @return 受服务地址集合
     */
    public List<Address> selectAddressList(Address address);

    /**
     * 新增受服务地址
     * 
     * @param address 受服务地址
     * @return 结果
     */
    public int insertAddress(Address address);

    /**
     * 修改受服务地址
     * 
     * @param address 受服务地址
     * @return 结果
     */
    public int updateAddress(Address address);

    /**
     * 删除受服务地址
     * 
     * @param addressId 受服务地址主键
     * @return 结果
     */
    public int deleteAddressByAddressId(Long addressId);

    /**
     * 批量删除受服务地址
     * 
     * @param addressIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAddressByAddressIds(Long[] addressIds);

    void updateDefaultAddress(Address address);

    Address selectAddressBySeconderId(String orderId);
}
